### Method

# St FocusManager navigate_from_event

#### Declaration [src]

    gboolean
    st_focus_manager_navigate_from_event (
      StFocusManager* manager,
      ClutterEvent* event
    )

#### Description [src]

Try to navigate from `event` as if it bubbled all the way up to the stage. This is useful in complex event handling situations where you want key navigation, but a parent might be stopping the key navigation event from bubbling all the way up to the stage.

#### Parameters

`event`

  Type: `ClutterEvent`

  A `ClutterEvent`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

Whether a new actor was navigated to.